# 指定持久化方案
org.quartz.jobStore.class=org.quartz.impl.jdbcjobstore.JobStoreTX
org.quartz.jobStore.acquireTriggersWithinLock=true
org.quartz.jobStore.misfireThreshold=5000

# 指定表前缀
org.quartz.jobStore.tablePrefix=QRTZ_

# 指定数据源
org.quartz.jobStore.dataSource=ryDS

org.quartz.dataSource.ryDS.provider=hikaricp
org.quartz.dataSource.ryDS.driver=org.sqlite.JDBC
org.quartz.dataSource.ryDS.URL=jdbc:sqlite::resource:static/cmc-temperature.db?date_string_format=yyyy-MM-dd HH:mm:ss
org.quartz.dataSource.ryDS.user=
org.quartz.dataSource.ryDS.password=
#org.quartz.dataSource.ryDS.provider=hikaricp
#org.quartz.dataSource.ryDS.driver=com.mysql.cj.jdbc.Driver
#org.quartz.dataSource.ryDS.URL=jdbc:mysql://127.0.0.1:3306/ry-vue?useUnicode=true&zeroDateTimeBehavior=convertToNull&autoReconnect=true
#org.quartz.dataSource.ryDS.user=root
#org.quartz.dataSource.ryDS.password=
org.quartz.dataSource.ryDS.maxConnections=10
org.quartz.datasource.ryDS.validateOnCheckout=true
org.quartz.datasource.ryDS.validationQuery=select 1

# 指定线程池
org.quartz.threadPool.class=org.quartz.simpl.SimpleThreadPool
org.quartz.threadPool.threadCount=5
org.quartz.threadPool.threadPriority=5
org.quartz.threadPool.threadsInheritContextClassLoaderOfInitializingThread=true
